# Login Webhook

You can register your webhook endpoint for receiving ConsCent user data by logging in to your ConsCent Client Dashboard and navigating to the Webhook Page. You will be able to enable/disable and edit your webhook URL from this section. Once the webhook URL is registered and the webhook is enabled - the endpoint will receive user data (name, email, phone number, hashed email & phone number, city, location, address & country of the user) anytime the user logins in on the client's website or application via Conscent.ai.

{% code title="LOGIN JSON" overflow="wrap" %}

```json
{
  "userName": "9818329028",
  "phoneNumber": "9818329028",
  "email": "test-email@webhook.com",
  "userId": "7843y9xm44428xm24x2m0x2xm42",
  "freeTrial": true,
  "country": "IN",
  "hashedPhoneNumber": "7942mey829mxe1238z2ym9zy39my29zy2z9dy24793msy29z2z",
  "hashedEmail": "8392mx30mx2mu8034x02mx802ry2480nyd249yx420xfn20w4y04xm2024",
  "name": "Test Name",
  "city": "London",
  "location": {
    "latitude": 8359893,
    "longitude": 7438734,
    "postcode": 221993
  },
  "os": "Mac OS 10.16",
  "browser": "Chrome",
  "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.93 Safari/537.36",
  "address": {
    "apartment": "7923492 Apartment1",
    "area": "Test Area",
    "pincode": "389023",
    "landmark": "test landmark",
    "city": "New York City",
    "state": "New York",
    "country": "US"
  },
  "clientTierId": "TestTierID1",
  "clientSpecificUserId": "11003289298"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/old-webhooks/login-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
